Change Appliance Password

Change Appliance Password
Change HCX Appliance User Password

Changes the password for HCX Manager appliance users (admin or root). Validates the old password via PAM authentication, enforces password policy, and invalidates the current session token after successful change.

Password Policy(Non VCF Managed):

  • Minimum length: 15 characters
  • Maximum length: 20 characters
  • Must contain: lowercase letter, uppercase letter, number, special character (! @ # $ ^ *)
  • Must NOT contain: dictionary words, palindromes, >4 monotonic sequences, 3 consecutive identical characters
  • Regex pattern: ^(?=.*[0-9])(?=.*[a-z])(?=.*[A-Z])(?=.*[!@#$^*])(?=\\S+$).{15,20}$

Password Policy(VCF Managed):

  • HCX Manager Appliance user password is managed from VCF Operations
  • VCF Operations centrally manage the password policies for all managed components
  • Hence, password policy validation is skipped at HCX
Request
URI
PUT
https://{server}:9443/system/users/changePassword
COPY
Header Parameters
string
x-hm-authorization
Required

Current session authentication token (will be invalidated after password change)

x-hm-authorization example
a1b2c3d4:e5f6:7890:abcd:ef1234567890

Request Body
ChangePasswordRequest of type(s) application/json
Required
{
    "userName": "string",
    "oldPassword": "string",
    "newPassword": "string"
}
string
userName
Required

Username

string
oldPassword
Required

Old password (Base64 encoded)

string
newPassword
Required

New password (Base64 encoded)

Authentication
This operation uses the following authentication methods.
Responses
200

Password changed successfully

Returns ChangePasswordResponse of type(s) application/json
{
    "isSuccess": false,
    "message": "string",
    "httpStatusCode": 0
}
boolean
isSuccess
Optional

Operation success status

string
message
Optional

Response message

integer
httpStatusCode
Optional

HTTP status code


400

Bad request - Invalid credentials, unsupported user, or password policy violation

Returns ChangePasswordResponse of type(s) application/json
{
    "isSuccess": false,
    "message": "string",
    "httpStatusCode": 0
}
boolean
isSuccess
Optional

Operation success status

string
message
Optional

Response message

integer
httpStatusCode
Optional

HTTP status code


500

Internal server error - Password change failed

Returns ChangePasswordResponse of type(s) application/json
"ChangePasswordResponse Object"
boolean
isSuccess
Optional

Operation success status

string
message
Optional

Response message

integer
httpStatusCode
Optional

HTTP status code


Code Samples
COPY
                    curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"userName":"string","oldPassword":"string","newPassword":"string"}' https://{api_host}/system/users/changePassword